EDENTIFY(1)

NAME
edentify - image indentifiction tool of the ExactImage toolkit

SYNOPSIS

edentify [{-f | --format} format-string] [-v | --verbose] file...

edentify {-h | --help}

DESCRIPTION

ExactImage is a fast C++ image processing library. Unlike many other library frameworks it allows operation in several color spaces and bit depths natively, resulting in low memory and computational requirements.

edentify is is a command line frontend for the image processing library and mimics ImageMagick's identify. It is used to identify images, that is print the codec, pixel dimensions, resolution and physical sizes (if any resolution is specified in the image data) as well as the color space.

OPTIONS

-f format-string, --format format-string
    Set a user-defined format string. You can use the following format characters:

    %d
        directory

    %f
        filename

    %t
        filename without extension

    %e
        filename extension

    %i
        path (directory + filename)

    %w
        width

    %h
        height

    %q
        quantum depth

    %x
        x resolution

    %y
        y resolution

    %z
        image depth

    %P
        page width and height

    %%
        literal percent character

    t
        new line character

    n
        new line character

    r
        carriage return character

-v, --verbose
    Make the output more verbose.

-h, --help
    Display help text and exit.

EXAMPLES

    $ edentify lenea.tiff
    lenea.tiff: TIFF 512x512 24 bits, 3 channels

SEE ALSO

exactimage(7)

AUTHORS

Jakub Wilk <jwilk@debian.org>
    Wrote this manual page for the Debian system.

https://exactcode.com/opensource/exactimage/
    This manual page incorporates texts found on the ExactImage homepage.

COPYRIGHT

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-2.